#include<bits/stdc++.h>
using namespace std;
char c1,c2;
long long a1,a2;
int main ()
{
  cin >> c1 >> c2;
  cin >> a1 >> a2;
  if(a2>=a1+2 or a1>=a2+2)
  {
    cout << "nemoguce";
  }
  else
  {
    cout << "moguce";
  }
}